<template>
	<view>
		<mvBar :mysNavConfig="mysNavConfig"></mvBar>
		<view :style="{marginTop:navH}"></view>

		<view v-if="!loading">
			<view style="padding-bottom: 30rpx;margin: 0 30rpx">
				<view style="display: flex;justify-content: center;font-size: 44rpx;padding-bottom: 20rpx;">
					<p>{{msg1}}</p>
					<view class="upload-btn" v-if="isShowUpload" @click="toUpload()" key="0">
						<image src="../../static/img/icon-upload.png" style="height: 40rpx;width: 40rpx;"></image>
						<p style="font-size: 28rpx;">快速上传</p>
					</view>
				</view>
				<view style="display: flex;justify-content: center;font-size: 24rpx;color: #999999;text-align:center">
					<p>{{msg2}}</p>
				</view>
				<view style="display: flex;justify-content: center;font-size: 24rpx;color: #999999;text-align:center"
					v-if="msg3 != ''">
					<p>{{msg3}}</p>
				</view>
			</view>

			<view style="display: flex;justify-content: center;align-items: center;"
				v-if="isShowUpload && !isSpecial && !isTimeOut" key="1">
				<image style="height: 60rpx;width: 60rpx;" src="../../static/img/icon-time.png"></image>
				<p style="font-size: 30rpx;color: #f2d241;">剩余时间：{{timeLeft}}</p>
			</view>

			<view style="display: flex;justify-content: center;align-items: center;"
				v-if="isShowUpload && !isSpecial && isTimeOut" key="2">
				<image style="height: 60rpx;width: 60rpx;" src="../../static/img/icon-time2.png"></image>
				<p style="font-size: 30rpx;color: #f70c0c;">超时：{{timeLeft}}</p>
			</view>

			<view class="address">
				<view class="address_icon">
					<image style="width: 50rpx;height: 50rpx;" :src="picture.icon_loc" mode="">
					</image>
				</view>
				<view style="width: 70%;">
					<view style="display: flex;">
						<p class='ipon' style="padding-right: 100rpx;">{{address.receiver_name}}</p>
						<p class='ipon'>{{address.phone_number}}</p>
					</view>
					<p class='ipon'>{{address.full_detail_addr}}</p>
				</view>
				<view class="address_edit" @click="editAddress()" v-if="task.task_stage < 4">
					<image :src="picture.icon_edit" mode="">
					</image>
				</view>
			</view>

			<view class="basicInfo">
				<view class="tpc-txt1">
					<image :src="product.PhotoUrl" style="width: 150rpx;height: 150rpx;" mode="">
					</image>
					<view class="basicInfo_txt">
						<p style="font-size: 30rpx;">{{project.project_name}}</p>
					</view>
				</view>
				<view class="tpc-txt2" @click="toTaskDeatail()">
					<p>查看</p>
					<image class="tpc-icon" :src="picture.icon_right"></image>
				</view>
			</view>
			<view class="pipline" v-if="!isSpecial">
				<image :src="picture.icon_whole_pipline"></image>
			</view>
			<view class="pipline" v-else>
				<image :src="picture.icon_special_pipline"></image>
			</view>

			<view class="task-progress">
				<view class="task-progress-card" v-bind:style="task.task_stage == 1 ? 'background-color: #f2d241' : ''">
					<view class="tpc-txt1">
						<p>报名信息</p>
					</view>
					<view class="tpc-txt2" @click="toApplyinfo()">
						<p>查看</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
				</view>
				<view class="task-progress-card"
					v-if="(task.task_stage >= 5 && task.task_stage <= 15) || ((task.task_stage === 16 || task.task_stage === 3) && task.logistics_status >= 2)"
					v-bind:style="task.task_stage >= 5 && task.task_stage <= 6 ? 'background-color: #f2d241' : ''">
					<view class="tpc-txt1">
						<p>物流信息</p>
					</view>
					<view class="tpc-txt2" @click="toLogisticsinfo()">
						<p>查看</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
				</view>
				<view class="task-progress-card"
					v-if="project.content_type == 2 && ((task.task_stage >= 7 && task.task_stage <= 15) || ((task.task_stage === 16 || task.task_stage === 3) && task.script_status == 5))"
					v-bind:style="task.task_stage >= 7 && task.task_stage <= 8 ? 'background-color: #f2d241' : ''">
					<view class="tpc-txt1">
						<p>上传拍摄脚本</p>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.script_status == 1">
						<p style="color: red;">待添加</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.script_status == 2">
						<p style="color: #fff;">已添加</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.script_status == 3">
						<p style="color: red;">待修改</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.script_status == 4">
						<p style="color: #fff;">已修改</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toScriptRecord()" v-if="task.script_status == 5">
						<p>查看</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
				</view>
				<view class="task-progress-card"
					v-if="(task.task_stage >= 9 && task.task_stage <= 15) || ((task.task_stage === 16 || task.task_stage === 3) && task.sketch_status == 5)"
					v-bind:style="task.task_stage >= 9 && task.task_stage <= 10 ? 'background-color: #f2d241' : ''">
					<view class="tpc-txt1">
						<p>上传初稿</p>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.sketch_status == 1">
						<p style="color: red;">待添加</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.sketch_status == 2">
						<p style="color: #fff;">已添加</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.sketch_status == 3">
						<p style="color: red;">待修改</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.sketch_status == 4">
						<p style="color: #fff;">已修改</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toSketchRecord()" v-if="task.sketch_status == 5">
						<p>查看</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
				</view>
				<view class="task-progress-card"
					v-if="(task.task_stage >= 11 && task.task_stage <= 15) || ((task.task_stage === 16 || task.task_stage === 3) && task.link_status == 5)"
					v-bind:style="task.task_stage >= 11 && task.task_stage <= 12 ? 'background-color: #f2d241' : ''">
					<view class="tpc-txt1">
						<p>上传链接</p>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.link_status == 1">
						<p style="color: red;">待添加</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.link_status == 2">
						<p style="color: #fff;">已添加</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.link_status == 3">
						<p style="color: red;">待修改</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.link_status == 4">
						<p style="color: #fff;">已修改</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toLinkRecord()" v-if="task.link_status == 5">
						<p>查看</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
				</view>
				<view class="task-progress-card"
					v-if="(task.task_stage >= 13 && task.task_stage <= 15) || ((task.task_stage === 16 || task.task_stage === 3) && task.data_status == 5)"
					v-bind:style="task.task_stage >= 13 && task.task_stage <= 14 ? 'background-color: #f2d241' : ''">
					<view class="tpc-txt1">
						<p>上传数据</p>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.data_status == 1">
						<p style="color: red;">待添加</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.data_status == 2">
						<p style="color: #fff;">已添加</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.data_status == 3">
						<p style="color: red;">待修改</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toUpload()" v-if="task.data_status == 4">
						<p style="color: #fff;">已修改</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" @click="toDataRecord()" v-if="task.data_status == 5">
						<p>查看</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
				</view>
				<view class="task-progress-card" v-if="task.task_stage === 15" style="background-color: #f2d241">
					<view class="tpc-txt1">
						<p>已结案</p>
					</view>
					<view class="tpc-txt2" v-if="withdrawStatus == 1">
						<!-- <p>前往提现</p>
						<image class="tpc-icon" :src="picture.icon_right"></image> -->
					</view>
					<view class="tpc-txt2" @click="toWithdraw()" v-if="withdrawStatus == 2">
						<p>前往提现</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" v-if="withdrawStatus == 3">
						<p>提现中</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
					<view class="tpc-txt2" v-if="withdrawStatus == 4">
						<p>已提现</p>
						<image class="tpc-icon" :src="picture.icon_right"></image>
					</view>
				</view>
				<view class="task-progress-info">
					<view style="padding: 10rpx 0;">
						<p>任务ID：{{task.task_id}}
							<image :src="picture.icon_copy" mode="" class="copy-img"
								@click="handleCopy(task.task_id)" />
						</p>
					</view>
					<view style="padding: 10rpx 0;">
						<p>报名时间：{{task.create_date}}</p>
					</view>
					<view v-if="task.task_stage > 1 && task.task_stage != 3" style="padding: 10rpx 0;">
						<p>确认合作：{{task.select_date}}</p>
					</view>
					<view v-for="(item,index) in taskLogs" style="padding: 10rpx 0;">
						<p>{{item.content}}：{{item.log_at}}</p>
					</view>
				</view>
			</view>

			<view class="block"></view>
			<view class="submit" v-if="task.task_stage === 15 && withdrawStatus == 2">
				<button type="default" class="submit_btn" @click="toWithdraw()">
					前往提现</button>
			</view>
		</view>
	</view>
</template>

<script>
	import region from '@/components/pca-code.json';
	import mvBar from "@/components/mys_navBar/mysNavBar";
	import {
		fansview,
		money
	} from '@/components/utils.js';
	export default {
		components: {
			mvBar
		},
		data() {
			return {
				navH: getApp().globalData.navHeight,
				picture: getApp().globalData.picture,
				isTimeOut: false,
				isNotShowSubmit: true,
				isShowUpload: false,
				loading: true,
				isSpecial: false,
				timeLeft: "",
				msg1: "",
				msg2: "",
				msg3: "",
				infoMsg1: [
					"等待企业确认合作",
					"恭喜任务申请成功！",
					"任务申请失败",
					"等待发货中",
					"商家已发货",
					"商品已签收",
					"等待上传拍摄脚本",
					"等待脚本审核",
					"等待上传初稿",
					"等待初稿审核",
					"等待上传链接",
					"等待链接审核",
					"等待上传作品数据",
					"等待数据审核",
					"已结案",
					"任务终止",
				],
				infoMsg2: [
					"商家将在申请截止后5天内审核完毕",
					"请仔细查看任务要求和任务详情，开始执行任务吧！",
					"账号未达到入选标准，请小主尝试申请其他任务吧",
					"发货后可在物流信息中查看物流单号/虚拟产品兑换码/探店时间",
					"请在物流进度中查看物流单号/虚拟产品兑换码/探店时间",
					"请在物流进度中查看物流单号/虚拟产品兑换码/探店时间",
					"请在任务进度中上传拍摄脚本，商家审核通过后再进行拍摄",
					"商家正在审核脚本，请耐心等待。",
					"请在任务进度中上传图文/视频初稿，商家审核通过后再进行发布",
					"商家正在审核初稿，请耐心等待。",
					"恭喜作品审核通过，请及时发布并在任务进度中上传发布链接。",
					"商家正在审核链接，请耐心等待。",
					"恭喜链接审核通过，请在作品发布7天后上传作品数据。",
					"商家正在审核数据，请耐心等待。",
					"本任务已结案，可申请佣金提现。",
					"长时间未上传，任务已终止。",
				],
				infoMsg3: [
					"企业将在5个工作日内完成核对账号信息，请耐心等待",
					"请仔细查看任务要求和任务详情，开始执行任务吧！",
					"账号非企业定向邀请账号，请小主尝试申请其他任务吧",
					"发货后可在物流信息中查看物流单号/虚拟产品兑换码/探店时间",
					"请在物流进度中查看物流单号/虚拟产品兑换码/探店时间",
					"请在物流进度中查看物流单号/虚拟产品兑换码/探店时间",
					"请在任务进度中上传拍摄脚本，商家审核通过后再进行拍摄",
					"请在任务进度中上传拍摄脚本，商家审核通过后再进行拍摄",
					"请在任务进度中上传图文/视频初稿，商家审核通过后再进行发布",
					"请在任务进度中上传图文/视频初稿，商家审核通过后再进行发布",
					"恭喜作品审核通过，请及时发布并在任务进度中上传发布链接。",
					"恭喜作品审核通过，请及时发布并在任务进度中上传发布链接。",
					"恭喜链接审核通过，请在作品发布7天后上传作品数据。",
					"恭喜链接审核通过，请在作品发布7天后上传作品数据。",
					"本任务已结案，可前往任务大厅查看报名其他任务。",
					"长时间未上传，任务已终止。",
				],
				platform: [
					"红book",
					"抖音",
					"微博",
					"快手",
					"B站",
					"大众点评",
					"知乎",
				],
				task: {},
				address: {},
				project: {},
				product: {},
				account: {},
				strategy: {},
				task_type_info: ["实体商品寄拍", "虚拟产品测评", "线下探店打卡"],
				taskLogs: [],
				mysNavConfig: {
					isHome: false,
					/* 固定导航  */
					navFixed: true,
					/* 标题 （屏幕中心居中 两边图标中心居中使用slot center1） */
					navTitle: {
						text: "种草任务详情",
						color: "",
						fontSize: "32rpx", // px upx rpx
						fontWeight: "", // 100 - 700
					},
					btnType: "type2",
					onLeftClick: '',
					/* type2 按钮 */
					type2Config: {
						// 左图标
						leftPath: "https://horastar.obs.cn-east-3.myhuaweicloud.com/talent/png2.png",
						// 右图标
						rightPath: "https://horastar.obs.cn-east-3.myhuaweicloud.com/talent/png4.png",
						// 圆角
						radius: "40rpx",
					},
				},
				withdrawStatus: 1,
			}
		},
		async onShow() {
			this.loading = true;
			uni.showLoading({
				title: '加载中'
			});
			await this.getTaskInfo();
			await this.getTaskLogs();
			if (!this.isSpecial) {
				this.getLeftTime();
			} else {
				this.loading = false;
				uni.hideLoading();
			}
		},
		onLoad(options) {
			this.taskId = options.taskId
		},
		methods: {
			handleCopy(text) {
				wx.setClipboardData({
					data: text.toString(),
					success: function(res) {
						console.log("复制成功");
					}
				});
			},
			async getLeftTime(value) {
				switch (this.task.task_stage) {
					case 7:
						// 首次提交
						if (this.task.script_status === 1 || this.task.script_status === 2) {
							let logistics = null;
							await this.$https.get('/youngee/c/t/g/get-task-logistics-info' +
								"?" +
								"task_id" +
								"=" +
								this.taskId
							).then(res => {
								logistics = res.data.data
							})
							if (logistics.auto_script_break_at !== null && logistics.auto_script_break_at !== "") {
								this.timeLeft = this.thistime(logistics.auto_script_break_at)
							} else {
								// 为脚本违约限制时间赋值并返回
								await this.$https.post('/youngee/c/t/p/get-auto-time', {
									task_id: this.taskId,
									type: 1,
								}).then(res => {
									this.timeLeft = this.thistime(res.data.data)
								})
							}
						} else if (this.task.script_status === 3 || this.task.script_status === 4) {
							let scriptList = null;
							let script = null;
							await this.$https.get('/youngee/c/t/g/get-task-script' +
									"?" +
									"task_id" +
									"=" +
									this.taskId)
								.then(res => {
									scriptList = res.data.data
									for (let i = 0; i < scriptList.length; ++i) {
										if (scriptList[i].is_review === 1) {
											script = scriptList[i]
										}
									}
								})
							if (script.auto_script_break_at !== null && script.auto_script_break_at !== "") {
								this.timeLeft = this.thistime(script.auto_script_break_at)
							} else {
								// 为脚本违约限制时间赋值并返回
								await this.$https.post('/youngee/c/t/p/get-auto-time', {
									task_id: this.taskId,
									type: 2,
								}).then(res => {
									this.timeLeft = this.thistime(res.data.data)
								})
							}
						}
						this.msg1 = this.isTimeOut ? "脚本上传违约" : this.msg1
						break;
					case 9:
						//首次提交
						if (this.task.sketch_status === 1 || this.task.sketch_status === 2) {
							if (this.project.content_type === 1) {
								let logistics = null;
								await this.$https.get('/youngee/c/t/g/get-task-logistics-info' +
									"?" +
									"task_id" +
									"=" +
									this.taskId
								).then(res => {
									logistics = res.data.data
								})
								// if (logistics.auto_sketch_break_at !== null && logistics.auto_sketch_break_at !== "") {
								// 	this.timeLeft = this.thistime(logistics.auto_sketch_break_at)
								// } else {
								// 	// 为初稿违约限制时间赋值并返回
								// 	await this.$https.post('/youngee/c/t/p/get-auto-time', {
								// 		task_id: this.taskId,
								// 		type: 4,
								// 	}).then(res => {
								// 		this.timeLeft = this.thistime(res.data.data)
								// 	})
								// }

							} else {
								console.log("其他种草情况")
								// let scriptList = null;
								// await this.$https.get('/youngee/c/t/g/get-task-script' +
								// 		"?" +
								// 		"task_id" +
								// 		"=" +
								// 		this.taskId)
								// 	.then(res => {
								// 		scriptList = res.data.data
								// 	})
								// for (let i = 0; i < scriptList.length; ++i) {
								// 	if (scriptList[i].is_ok === 1) {
								// 		if (scriptList[i].auto_sketch_break_at !== null && scriptList[i]
								// 			.auto_sketch_break_at !== "") {
								// 			this.timeLeft = this.thistime(scriptList[i].auto_sketch_break_at)
								// 		} else {
								// 			// 为初稿违约限制时间赋值并返回
								// 			await this.$https.post('/youngee/c/t/p/get-auto-time', {
								// 				task_id: this.taskId,
								// 				type: 3,
								// 			}).then(res => {
								// 				this.timeLeft = this.thistime(res.data.data)
								// 			})
								// 		}
								// 	}
								// }
							}
						} else if (this.task.sketch_status === 3 || this.task.sketch_status === 4) { //修改
							let sketchList = null;
							let sketch = null;
							await this.$https.get('/youngee/c/t/g/get-task-sketch' +
									"?" +
									"task_id" +
									"=" +
									this.taskId)
								.then(res => {
									sketchList = res.data.data
									for (let i = 0; i < sketchList.length; ++i) {
										if (sketchList[i].is_review === 1) {
											sketch = sketchList[i]
										}
									}
								})
							// if (sketch.auto_sketch_break_at !== null && sketch.auto_sketch_break_at !== "") {
							// 	this.timeLeft = this.thistime(sketch.auto_sketch_break_at)
							// } else {
							// 	// 为脚本违约限制时间赋值并返回
							// 	let type = this.project.content_type === 1 ? 6 : 5;
							// 	await this.$https.post('/youngee/c/t/p/get-auto-time', {
							// 		task_id: this.taskId,
							// 		type: type,
							// 	}).then(res => {
							// 		this.timeLeft = this.thistime(res.data.data)
							// 	})
							// }
						}
						this.msg1 = this.isTimeOut ? "初稿上传违约" : this.msg1
						break;
					case 11:
						// 首次提交
						if (this.task.link_status === 1 || this.task.link_status === 2) {
							let sketchList = null;
							await this.$https.get('/youngee/c/t/g/get-task-sketch' +
									"?" +
									"task_id" +
									"=" +
									this.taskId)
								.then(res => {
									sketchList = res.data.data
								})
							for (let i = 0; i < sketchList.length; ++i) {
								if (sketchList[i].is_ok === 1) {
									if (sketchList[i].auto_link_break_at !== null && sketchList[i]
										.auto_link_break_at !== "") {
										this.timeLeft = this.thistime(sketchList[i].auto_link_break_at)
									} else {
										// 为链接违约限制时间赋值并返回
										await this.$https.post('/youngee/c/t/p/get-auto-time', {
											task_id: this.taskId,
											type: 7,
										}).then(res => {
											this.timeLeft = this.thistime(res.data.data)
										})
									}
								}
							}
						} else if (this.task.link_status === 3 || this.task.link_status === 4) {
							let linkList = null;
							let link = null;
							await this.$https.get('/youngee/c/t/g/get-task-link' +
									"?" +
									"task_id" +
									"=" +
									this.taskId)
								.then(res => {
									linkList = res.data.data
									for (let i = 0; i < linkList.length; ++i) {
										if (linkList[i].is_review === 1) {
											link = linkList[i]
										}
									}
								})
							if (link.auto_link_break_at !== null && link.auto_link_break_at !== "") {
								this.timeLeft = this.thistime(link.auto_link_break_at)
							} else {
								// 为脚本违约限制时间赋值并返回
								await this.$https.post('/youngee/c/t/p/get-auto-time', {
									task_id: this.taskId,
									type: 8,
								}).then(res => {
									this.timeLeft = this.thistime(res.data.data)
								})
							}
						}
						this.msg1 = this.isTimeOut ? "链接上传违约" : this.msg1
						break;
					case 13:
						// 首次提交
						if (this.task.data_status === 1 || this.task.data_status === 2) {
							let linkList = null;
							await this.$https.get('/youngee/c/t/g/get-task-link' +
									"?" +
									"task_id" +
									"=" +
									this.taskId)
								.then(res => {
									linkList = res.data.data
								})

							for (let i = 0; i < linkList.length; ++i) {
								if (linkList[i].is_ok === 1) {
									if (linkList[i].auto_data_break_at !== null && linkList[i].auto_data_break_at !==
										"") {
										this.timeLeft = this.thistime(linkList[i].auto_data_break_at)
									} else {
										// 为数据违约限制时间赋值并返回
										await this.$https.post('/youngee/c/t/p/get-auto-time', {
											task_id: this.taskId,
											type: 9,
										}).then(res => {
											this.timeLeft = this.thistime(res.data.data)
										})
									}
								}
							}
						} else if (this.task.data_status === 3 || this.task.data_status === 4) {
							let dataList = null;
							let data = null;
							await this.$https.get('/youngee/c/t/g/get-task-data' +
									"?" +
									"task_id" +
									"=" +
									this.taskId)
								.then(res => {
									dataList = res.data.data
									for (let i = 0; i < dataList.length; ++i) {
										if (dataList[i].is_review === 1) {
											data = dataList[i]
										}
									}
								})
							if (data.auto_data_break_at !== null && data.auto_data_break_at !== "") {
								this.timeLeft = this.thistime(data.auto_data_break_at)
							} else {
								// 为脚本违约限制时间赋值并返回
								await this.$https.post('/youngee/c/t/p/get-auto-time', {
									task_id: this.taskId,
									type: 10,
								}).then(res => {
									this.timeLeft = this.thistime(res.data.data)
								})
							}
						}
						this.msg1 = this.isTimeOut ? "数据上传违约" : this.msg1
						break;
					default:
						break;
				}
				this.loading = false;
				uni.hideLoading();
			},
			getTaskInfo() {
				return this.$https.get('/youngee/c/t/g/get-task-detail' +
					"?" +
					"task_id" +
					"=" +
					this.taskId
				).then(res => {
					if (res.data.code != 0) return
					const data = res.data.data
					this.task = data.task_info
					this.withdrawStatus = data.withdraw_status
					this.address = JSON.parse(res.data.data.task_info.talent_post_addr_snap);
					let a = this.address.region_code.toString().slice(0, 2)
					let b = this.address.region_code.toString().slice(0, 4)
					let c = 0
					for (var i = 0; i < region.length; i++) {
						if (region[i].code == a) {
							a = region[i].name
							for (var j = 0; j < region[i].children.length; j++) {
								if (region[i].children[j].code == b) {
									b = region[i].children[j].name
									for (var o = 0; o < region[i].children[j].children.length; o++) {
										if (region[i].children[j].children[o].code == this.address
											.region_code) {
											c = region[i].children[j].children[o].name
										}
									}
								}

							}
						}
					}
					this.address.full_detail_addr = a + b + c + this.address.detail_addr

					// this.account = JSON.parse(res.data.data.task_info.talent_platform_info_snap);
					// this.account.show_fans_count = fansview(this.account.fans_count)

					this.project = res.data.data.project_detail
					this.project.Product = JSON.parse(res.data.data.project_detail.product_snap);
					this.project.Product.showProductPrice = money(this.project.Product.ProductPrice)

					let ProductPhoto = JSON.parse(res.data.data.project_detail.product_photo_snap);
					for (let j = 0; j < ProductPhoto.length; ++j) {
						if (ProductPhoto[j].Symbol == 1) {
							this.product = ProductPhoto[j]
						}
					}
					this.strategy = res.data.data.strategy

					this.isSpecial = this.project.project_type === 2 ? true : false;
					if (!this.isSpecial) {
						this.strategy.show_followers_low = fansview(this.strategy.followers_low)
						this.strategy.show_followers_up = fansview(this.strategy.followers_up)
						this.strategy.fee_form_t = this.strategy.fee_form === 1 ? '产品置换' : (this.strategy
							.fee_form ===
							2 ?
							'固定稿费 ' +
							money(this.task.task_reward) : '创作者自报价 ' + money(this.task.task_reward))
					}


					this.project.content = this.project.content_type === 1 ? "图文" : "视频" // 任务形式					
					this.project.project_form_t = this.task_type_info[this.project.project_form - 1] // 任务类型					
					this.project.project_platform_t = this.platform[this.project.project_platform - 1] // 社媒平台

					// 不同任务阶段提示消息
					this.msg1 = this.infoMsg1[this.task.task_stage - 1]
					this.msg2 = this.isSpecial ? this.infoMsg3[this.task.task_stage - 1] : this.infoMsg2[this.task
						.task_stage - 1]
					if (this.task.task_stage == 7) {
						this.msg3 = "延迟上传脚本，可能导致佣金扣除。"
					} else if (this.task.task_stage == 9) {
						this.msg3 = "延迟上传初稿，可能导致佣金扣除。"
					} else if (this.task.task_stage == 11) {
						this.msg3 = "延迟上传链接，可能导致佣金扣除。"
					} else if (this.task.task_stage == 13) {
						this.msg3 = "延迟上传数据，可能导致佣金扣除。"
					}

					// 判断是否显示快速上传按钮
					if (this.task.task_stage == 7 || this.task.task_stage == 9 || this.task.task_stage == 11 ||
						this.task.task_stage == 13) {
						this.isShowUpload = true
					} else {
						this.isShowUpload = false
					}

					// 判断确认提交按钮是否可用
					if (this.task.task_stage == 7 && (this.task.script_status == 2 || this.task.script_status ==
							4)) {
						this.isNotShowSubmit = false
					}
					if (this.task.task_stage == 9 && (this.task.sketch_status == 2 || this.task.sketch_status ==
							4)) {
						this.isNotShowSubmit = false
					}
					if (this.task.task_stage == 11 && (this.task.link_status == 2 || this.task.link_status == 4)) {
						this.isNotShowSubmit = false
					}
					if (this.task.task_stage == 13 && (this.task.data_status == 2 || this.task.data_status == 4)) {
						this.isNotShowSubmit = false
					}
				})
			},
			getTaskLogs() {
				return this.$https.get('/youngee/c/t/g/get-task-log' +
					"?" +
					"task_id" +
					"=" +
					this.taskId
				).then(res => {
					this.taskLogs = res.data.data
				})
			},
			toUpload() {
				if (this.task.task_stage == 7 || this.task.task_stage == 8) { // 上传脚本
					var data = {
						taskId: this.task.task_id,
						scriptStatus: this.task.script_status
					};
					data = JSON.stringify(data)
					uni.navigateTo({
						url: '/page_workspace/task/upload/uploadscript?textObj=' + encodeURIComponent(data)
					});
				} else if (this.task.task_stage == 9 || this.task.task_stage == 10) { // 上传初稿、初稿待审
					var data = {
						taskId: this.task.task_id,
						sketchStatus: this.task.sketch_status
					};
					data = JSON.stringify(data)
					uni.navigateTo({
						url: '/page_workspace/task/upload/uploadsketch?textObj=' + encodeURIComponent(data)
					});
				} else if (this.task.task_stage == 11 || this.task.task_stage == 12) { // 上传链接
					var data = {
						taskId: this.task.task_id,
						linkStatus: this.task.link_status
					};
					data = JSON.stringify(data)
					uni.navigateTo({
						url: '/page_workspace/task/upload/uploadlink?textObj=' + encodeURIComponent(data)
					});
				} else if (this.task.task_stage == 13 || this.task.task_stage == 14) { // 上传数据
					var data = {
						taskId: this.task.task_id,
						dataStatus: this.task.data_status
					};
					data = JSON.stringify(data)
					uni.navigateTo({
						url: '/page_workspace/task/upload/uploaddata?textObj=' + encodeURIComponent(data)
					});
				}
			},
			toScriptRecord() {
				var data = {
					taskId: this.task.task_id,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/record/scriptrecord?textObj=' + encodeURIComponent(data)
				});
			},
			toSketchRecord() {
				var data = {
					taskId: this.task.task_id,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/record/sketchrecord?textObj=' + encodeURIComponent(data)
				});
			},
			toLinkRecord() {
				var data = {
					taskId: this.task.task_id,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/record/linkrecord?textObj=' + encodeURIComponent(data)
				});
			},
			toDataRecord() {
				var data = {
					taskId: this.task.task_id,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/record/datarecord?textObj=' + encodeURIComponent(data)
				});
			},
			toTaskDeatail() {
				if (this.isSpecial) {
					uni.navigateTo({
						url: '/page_tasksquare/specialtask/specialTaskDetail?id=' + this.project.project_id
					});
				} else {
					uni.navigateTo({
						url: '/page_tasksquare/wholetask/taskdetail?id=' + this.project.project_id
					});
				}
			},
			toApplyinfo() {
				var data = {
					account: this.account,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/information/applyInformation?textObj=' + encodeURIComponent(data)
				});
			},
			toLogisticsinfo() {
				console.log(this.project.project_form)
				var data = {
					address: this.address,
					taskId: this.task.task_id,
					projectForm: this.project.project_form
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/information/deliveryInformation?textObj=' + encodeURIComponent(data)
				});
			},
			editAddress() {
				var data = {
					address: this.address,
					taskId: this.task.task_id,
				};
				data = JSON.stringify(data)
				uni.navigateTo({
					url: '/page_workspace/task/editaddress?textObj=' + encodeURIComponent(data)
				});
			},
			// 计算结束时间
			thistime(val) {
				// 转换格式
				var beginTime = new Date(val.replace(/-/g, "/"));
				// 当前时间
				var thisTime = new Date();
				// 相减
				var dateMiss = beginTime.getTime() - thisTime.getTime();
				this.isTimeOut = dateMiss < 0 ? true : false
				dateMiss = dateMiss < 0 ? -dateMiss : dateMiss
				// 天数
				var day = Math.floor(dateMiss / (24 * 3600 * 1000));
				// 减去天数剩下的毫秒数
				var backOne = dateMiss % (24 * 3600 * 1000);
				// 小时数
				var hours = Math.floor(backOne / (3600 * 1000));
				// 减去小时数剩下的毫秒数
				var backHour = backOne % (3600 * 1000);
				// 分钟数
				var min = Math.floor(backHour / (60 * 1000));
				var deadline_time = day + '天' + hours + '时' + min + '分'
				return deadline_time
			},
			toWithdraw() {
				uni.navigateTo({
					url: '/pages/mycenter/myincome?showTab=1'
				});
			},
			submit() {
				if (this.task.task_stage == 7) { // 提交脚本
					let that = this
					uni.showModal({
						title: '提示',
						content: '提交后无法修改并进行审核，确认提交？',
						success: function(res) {
							if (res.confirm) {
								that.$https.get('/youngee/c/t/g/submit-task-script' +
										"?" +
										"task_id" +
										"=" +
										that.task.task_id)
									.then(res => {
										console.log(res)
										uni.navigateBack()
									})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				} else if (this.task.task_stage == 9) { // 提交初稿
					let that = this
					uni.showModal({
						title: '提示',
						content: '提交后无法修改并进行审核，确认提交？',
						success: function(res) {
							if (res.confirm) {
								that.$https.get('/youngee/c/t/g/submit-task-sketch' +
										"?" +
										"task_id" +
										"=" +
										that.task.task_id)
									.then(res => {
										console.log(res)
										uni.navigateBack()
									})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				} else if (this.task.task_stage == 11) { // 提交链接
					let that = this
					uni.showModal({
						title: '提示',
						content: '提交后无法修改并进行审核，确认提交？',
						success: function(res) {
							if (res.confirm) {
								that.$https.get('/youngee/c/t/g/submit-task-link' +
										"?" +
										"task_id" +
										"=" +
										that.task.task_id)
									.then(res => {
										console.log(res)
										uni.navigateBack()
									})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				} else if (this.task.task_stage == 13) { // 提交数据
					let that = this
					uni.showModal({
						title: '提示',
						content: '提交后无法修改并进行审核，确认提交？',
						success: function(res) {
							if (res.confirm) {
								that.$https.get('/youngee/c/t/g/submit-task-data' +
										"?" +
										"task_id" +
										"=" +
										that.task.task_id)
									.then(res => {
										console.log(res)
										uni.navigateBack()
									})
							} else if (res.cancel) {
								console.log('用户点击取消');
							}
						}
					});
				}
			}
		}
	}
</script>


<style lang="scss" scoped>
	text {
		font-size: 12px;
	}

	.basicInfo {
		display: flex;
		align-items: center;
		justify-content: center;
		margin-top: 20rpx;
		padding: 20rpx;
		font-size: 30rpx;
		background-color: #FFFFFF;

		.basicInfo_txt {
			display: flex;
			align-items: center;
			justify-content: center;
			margin-left: 40rpx;
			// padding-top: 20rpx;
		}

		.tpc-txt1 {
			display: flex;
			justify-content: flex-start;
			// margin-left: 20rpx;

		}

		.tpc-txt2 {
			display: flex;
			align-items: center;
			justify-content: flex-end;
			padding-right: 10rpx;
			// margin-right: 20rpx;
			flex: 1;

			.tpc-icon {
				width: 30rpx;
				height: 30rpx;
			}
		}
	}

	.upload-btn {
		display: flex;
		align-items: center;
		justify-content: center;
		background-color: #f2d241;
		border-radius: 10rpx;
		padding: 5rpx;
		margin-left: 20rpx;
		cursor: pointer;
	}

	.address {
		display: flex;
		margin: 20rpx 0;
		// padding: 20rpx 20rpx;
		background-color: #FFFFFF;
		justify-content: space-around;
		align-items: center;

		.address_icon {
			width: 15%;
			vertical-align: middle;
			display: flex;
			justify-content: center;
		}

		.address_edit {
			width: 15%;
		}

		.address_edit image {
			vertical-align: middle;
			width: 50rpx;
			height: 50rpx;
			display: inline-block;
			padding-right: 14rpx;
		}

		.ipon {
			color: #333333;
			font-size: 30rpx;
			margin-bottom: 10rpx;
		}
	}

	.keyInfo {
		padding: 20rpx 20rpx;
		background-color: #FFFFFF;

		.keyInfo_task {
			// color: #999999;
		}
	}

	.keyInfo h3 {}

	.keyInfo p {
		font-size: 30rpx;
	}

	.account {
		display: flex;
		align-items: center;
		// justify-content: space-between;
		// width: 90%;
		margin: 20rpx 0;
		padding: 20rpx 20rpx;
		background-color: #FFFFFF;
		font-size: 35rpx;

		.account_txt {
			display: inline-block;
			padding: 0 0 0 1%;
			width: 400rpx;
		}

		.account_txt image {
			vertical-align: middle;
			width: 50rpx;
			height: 50rpx;
			display: inline-block;
			padding-right: 14rpx;
		}

		.account_fans {
			display: flex;
			width: 250rpx;
		}

		.account_fans p {
			display: inline-block;
			color: #333333;
		}

		.account_btn {}
	}

	.task-progress {
		padding: 20rpx;

		.task-progress-card {
			margin: 15rpx 0;
			display: flex;
			align-items: center;
			// margin: 20rpx;
			padding: 10rpx;
			font-size: 30rpx;
			border-radius: 10rpx;

			.tpc-txt1 {
				display: flex;
				justify-content: flex-start;
				// margin-left: 20rpx;

			}

			.tpc-txt2 {
				display: flex;
				align-items: center;
				justify-content: flex-end;
				// margin-right: 20rpx;
				flex: 1;

				.tpc-icon {
					width: 30rpx;
					height: 30rpx;
				}
			}
		}

		.task-progress-info {
			padding: 10rpx;
			font-size: 30rpx;
			border-radius: 10rpx;
			background-color: #f2f2f2;
		}
	}

	.block {
		width: 100%;
		height: 100rpx;
		margin-top: 5%;
	}

	.submit {
		box-shadow: 0rpx 5rpx 40rpx #ccc;
		width: 100%;
		position: fixed;
		bottom: 0rpx;
		display: flex;
		height: 90rpx;
		padding-top: 2%;
		background-color: #FFFFFF;

		.submit_btn {
			width: 60%;
			background-color: #FCCF41;
			border-radius: 20rpx;
			font-size: 36rpx;
			line-height: 200%;
			letter-spacing: 10rpx;
			height: 80%;
		}

	}

	.line {
		border-bottom: 1rpx solid #d5d5d5;
		width: 98%;
		margin: 10rpx 1%;
	}

	.pipline {
		display: flex;
		align-items: center;
		justify-content: center;
		margin: 20rpx;
		// border: #FCCF41 1rpx dashed;
	}

	.pipline image {
		/* width: 600rpx; */
		height: 150rpx;
	}
</style>